<?php
// Block direct access
if( !defined( 'ABSPATH' ) ){
    exit();
}
/**
 * @Packge     : Monji
 * @Version    : 1.0
 * @Author     : Monji
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

// enqueue css
function monji_common_custom_css(){
	wp_enqueue_style( 'monji-color-schemes', get_template_directory_uri().'/assets/css/color.schemes.css' );

    $CustomCssOpt  = monji_opt( 'monji_css_editor' );
    $preloader_display  =  monji_opt('monji_display_preloader');
	if( $CustomCssOpt ){
		$CustomCssOpt = $CustomCssOpt;
	}else{
		$CustomCssOpt = '';
	}

    $customcss = "";
    
    if( get_header_image() ){
        $monji_header_bg =  get_header_image();
    }else{
        if( monji_meta( 'page_breadcrumb_settings' ) == 'page' && is_page() ){
            if( ! empty( monji_meta( 'breadcumb_image' ) ) ){
                $monji_header_bg = monji_meta( 'breadcumb_image' );
            }
        }
    }
    
    if( !empty( $monji_header_bg ) ){
        $customcss .= ".breadcrumb-area{
            background:url('{$monji_header_bg}')!important;
            background-position: center center !important;
            background-size: cover !important;
        }";
    }



    if( ! empty( monji_meta( 'page_bg_image' ) ) ){
        $page_bg_image = monji_meta( 'page_bg_image' );
    }

    if( !empty( $page_bg_image ) ){
        $customcss .= ".custom-page-bg{
            background:url('{$page_bg_image}');
            background-attachment: fixed ;
            background-position: center center ;
            background-size: cover ;
        }";
    }

    if( !empty( $preloader_display ) ){
        $monji_pre_img = monji_opt( 'monji_preloader_img','url' );
        if( ! empty( monji_opt( 'monji_preloader_img','url' ) ) ){
            $customcss .= ".se-pre-con{
                background:url('{$monji_pre_img}')!important;
                text-align: center;
                position: absolute;
                left: 50%;
                top: 50%;
                -webkit-transform: translate(-50%, -50%);
                transform: translate(-50%, -50%);
                text-align: center;
                line-height: 1;
                width: 96px;
                height: 48px;
                display: inline-block;
                position: relative;
                background: #fff;
                border-radius: 48px 48px 0 0;
                -webkit-box-sizing: border-box;
                box-sizing: border-box;
                overflow: hidden;
                            }";
        }
    }
    
	// theme color
	$monjithemecolor = monji_opt('monji_theme_color');

    list($r, $g, $b) = sscanf( $monjithemecolor, "#%02x%02x%02x");

    $monji_real_color = $r.','.$g.','.$b;
	if( !empty( $monjithemecolor ) ) {
		$customcss .= ":root {
		  --color-primary: rgb({$monji_real_color});
		}";
	}

	if( !empty( $CustomCssOpt ) ){
		$customcss .= $CustomCssOpt;
	}

    wp_add_inline_style( 'monji-color-schemes', $customcss );
}
add_action( 'wp_enqueue_scripts', 'monji_common_custom_css', 100 );